Public Member Functions | Public Attributes | List of all members
RagTime5GraphInternal::ClusterGraphic Struct Reference

the shape cluster More...

Inheritance diagram for RagTime5GraphInternal::ClusterGraphic:

## Public Member Functions
| ClusterGraphic ()
| constructor More...
virtual | ~ClusterGraphic ()
| destructor More...
Public Member Functions inherited from RagTime5ClusterManager::Cluster
| Cluster (Type type)
| constructor More...
virtual | ~Cluster ()
| destructor More...

## Public Attributes
int | m_textboxZoneId
| the main textbox zone id(if defined) More...
int | m_unknownZoneId
| the graphic unknown zone id More...
std::vector< RagTime5ClusterManager::Link > | m_transformationLinks
| the list of transformation's link More...
std::vector< RagTime5ClusterManager::Link > | m_dimensionLinks
| the list of dimension's link More...
RagTime5ClusterManager::Link | m_clusterLinks [3]
| two cluster links: list of pipeline: fixedSize=12, second list with field size 10), fixedSize=8 More...
std::map< int, shared_ptr< Shape > > | m_idToShapeMap
| the shape list More...
std::vector< int > | m_rootIdList
| the root id list More...
std::vector< RagTime5StructManager::ZoneLink > | m_linkList
| list of link to other zone More...
Public Attributes inherited from RagTime5ClusterManager::Cluster
Type | m_type
| the cluster type More...
int | m_zoneId
| the zone id More...
bool | m_hiLoEndian
| the cluster hiLo endian More...
librevenge::RVNGString | m_name
| the cluster name (if know) More...
Link | m_dataLink
| the main data link More...
Link | m_nameLink
| the name link More...
Link | m_fieldClusterLink
| the field cluster links (def and pos) More...
std::vector< Link > | m_conditionFormulaLinks
| the conditions formula links More...
std::vector< Link > | m_settingLinks
| the settings links More...
std::vector< Link > | m_linksList
| the link list More...
std::vector< int > | m_clusterIdsList
| the cluster ids More...
bool | m_isSent
| true if the cluster was send More...

## Additional Inherited Members
Public Types inherited from RagTime5ClusterManager::Cluster
enum | Type { C_ColorPattern, C_Fields, C_Layout, C_Pipeline, C_Root, C_ClusterGProp, C_Script, C_ChartZone, C_GraphicZone, C_PictureZone, C_SpreadsheetZone, C_TextZone, C_ColorStyles, C_FormatStyles, C_GraphicStyles, C_TextStyles, C_UnitStyles, C_ClusterC, C_Empty, C_Unknown }
| the cluster type More...

## Detailed Description

the shape cluster

## Constructor & Destructor Documentation

## ◆ ClusterGraphic()

RagTime5GraphInternal::ClusterGraphic::ClusterGraphic | ( |  | ) |
| inline

constructor

## ◆ ~ClusterGraphic()

RagTime5GraphInternal::ClusterGraphic::~ClusterGraphic | ( |  | ) |
| virtual

destructor

## Member Data Documentation

## ◆ m_clusterLinks

RagTime5ClusterManager::Link RagTime5GraphInternal::ClusterGraphic::m_clusterLinks[3]

two cluster links: list of pipeline: fixedSize=12, second list with field size 10), fixedSize=8

## ◆ m_dimensionLinks

std::vector<RagTime5ClusterManager::Link> RagTime5GraphInternal::ClusterGraphic::m_dimensionLinks

the list of dimension's link

## ◆ m_idToShapeMap

std::map<int, shared_ptr<Shape> > RagTime5GraphInternal::ClusterGraphic::m_idToShapeMap

the shape list

Referenced by RagTime5Graph::checkGraphicCluster(), RagTime5Graph::readGraphicShape(), and RagTime5Graph::send().

## ◆ m_linkList

std::vector<RagTime5StructManager::ZoneLink> RagTime5GraphInternal::ClusterGraphic::m_linkList

list of link to other zone

Referenced by RagTime5Graph::checkGraphicCluster().

## ◆ m_rootIdList

std::vector<int> RagTime5GraphInternal::ClusterGraphic::m_rootIdList

the root id list

Referenced by RagTime5Graph::checkGraphicCluster(), and RagTime5Graph::send().

## ◆ m_textboxZoneId

int RagTime5GraphInternal::ClusterGraphic::m_textboxZoneId

the main textbox zone id(if defined)

Referenced by RagTime5Graph::readGraphicShape().

## ◆ m_transformationLinks

std::vector<RagTime5ClusterManager::Link> RagTime5GraphInternal::ClusterGraphic::m_transformationLinks

the list of transformation's link

## ◆ m_unknownZoneId

int RagTime5GraphInternal::ClusterGraphic::m_unknownZoneId

the graphic unknown zone id

The documentation for this struct was generated from the following file:

- RagTime5Graph.cxx